﻿using System;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Hive.JobBase {
  public interface IJob {
    long JobId { get; set; }
    ExecutionState ExecutionState { get; }
    double Progress { get; }

    void Run();
    void Prepare(IOperation initialOperation);
    void Start();
    void Stop();

    event EventHandler JobStopped;
    event EventHandler JobFailed;
  }
}
